Class | PrettyPrint::Group
In: | prettyprint.rb
Parent: | Object

### Methods

break break? first? new

### Attributes

breakables | [R] |
depth | [R] |

### Public Class methods

new(depth)

[Source]

    # File prettyprint.rb, line 305
        def initialize(depth)
          @depth = depth
          @breakables = []
          @break = false
        end

### Public Instance methods

break()

[Source]

    # File prettyprint.rb, line 312
        def break
          @break = true
        end

break?()

[Source]

    # File prettyprint.rb, line 316
        def break?
          @break
        end

first?()

[Source]

    # File prettyprint.rb, line 320
        def first?
          if defined? @first
            false
          else
            @first = false
            true
          end
        end

[Validate]